## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global sover 2

Summary:	Language for developing expert systems
Name:		clips
Version:	6.31
Release:	%{autorelease}
Url:		http://clipsrules.sourceforge.net
License:	GPLv2
Source0:  https://downloads.sourceforge.net/clipsrules/CLIPS/6.31/clips_core_source_631.tar.gz
Source1:  https://downloads.sourceforge.net/clipsrules/CLIPS/%{version}/clips_documentation_631.tar.gz
Patch0:   clips.shared-lib.patch
BuildRequires:  gcc-c++
BuildRequires:	ncurses-devel 
BuildRequires:	libXt-devel libXext-devel libXmu-devel libXaw-devel 
BuildRequires:	xorg-x11-proto-devel xorg-x11-xbitmaps 
BuildRequires:	desktop-file-utils
BuildRequires:	automake autoconf libtool
BuildRequires:	pkgconfig
BuildRequires:	ImageMagick
BuildRequires: make

Obsoletes: %{name}-xclips < 6.31-1
Obsoletes: %{name}-emacs < 6.31-1

%define _legacy_common_support 1

%description
CLIPS (C Language Integrated Production System) is an expert system
development tool which provides a complete environment for the 
construction of rule and/or object based expert systems. 

Created in 1985 by NASA at the Johnson Space Center, CLIPS is now 
widely used throughout the government, industry, and academia.

This package provides the CLIPS command line environment and the clips
library.

%package	libs
Summary:	Run-time C libraries for CLIPS applications

%description	libs
This package contains the run-time libraries needed for CLIPS applications.

CLIPS (C Language Integrated Production System) is an expert system
development tool which provides a complete environment for the 
construction of rule and/or object based expert systems. 

Created in 1985 by NASA at the Johnson Space Center, CLIPS is now 
widely used throughout the government, industry, and academia.

%package	devel
Summary:	C headers for developing programs that will embed CLIPS
Requires:	clips-libs = %{version}-%{release}
Requires:	ncurses-devel pkgconfig

%description	devel
This package contains the libraries and header files needed for
developing embedded CLIPS applications.

CLIPS (C Language Integrated Production System) is an expert system
development tool which provides a complete environment for the 
construction of rule and/or object based expert systems. 

Created in 1985 by NASA at the Johnson Space Center, CLIPS is now 
widely used throughout the government, industry, and academia.

%package	doc
Summary:	Documentation and examples for the CLIPS expert system
%if 0%{?fedora} > 9 || 0%{?rhel} > 5
BuildArch:	noarch
%endif

%description	doc
This package contains documentation for the CLIPS library as well as numerous 
examples.

CLIPS (C Language Integrated Production System) is an expert system
development tool which provides a complete environment for the 
construction of rule and/or object based expert systems. 

Created in 1985 by NASA at the Johnson Space Center, CLIPS is now 
widely used throughout the government, industry, and academia.

The following are some of the documents in this package:
- Proceedings of the Third Conference on CLIPS, 1994 (3CCP.pdf)
- Application abstracts (abstract.pdf)
- CLIPS Reference Manual, Volume I, Basic Programming Guide (bpg.pdf,bpg.htm)
- CLIPS Reference Manual, Volume II, Adv. Programming Guide (apg.pdf, apg.htm)
- CLIPS Reference Manual, Volume III, Interfaces Guide (ig.pdf,ig.htm)
- CLIPS Architecture Manual (arch5-1.pdf)
- CLIPS Users Guide (ug.pdf,ug.htm)

%prep
%autosetup -p1 -n clips_core_source_631 -a 1
%{__mv} clips_documentation_631 documentation

%build
cd core
%{__make} %{?_smp_mflags}

# This is a terrible way to create a pkgconfig file, but upstream does not provide one.
sed -i 's$^prefix=.*$prefix=%{_prefix}$' clips-6.pc
sed -i 's$^libdir=.*$libdir=%{_libdir}$' clips-6.pc
sed -i 's$^includedir=.*$includedir=%{_includedir}$' clips-6.pc
sed -i 's$^Version:.*$Version: %{version}$' clips-6.pc

%install
cd core
%{__install} -p --mode=0755 -D -t %{buildroot}/%{_bindir} clips
%{__install} -p --mode=0755 -D -t %{buildroot}/%{_libdir} libclips.so.%{sover}
ln -s libclips.so.%{sover} %{buildroot}/%{_libdir}/libclips.so
%{__install} -p --mode=0644 -D -t %{buildroot}/%{_includedir}/%{name} *.h
%{__install} -p --mode=0644 -D -t %{buildroot}/%{_libdir}/pkgconfig clips-6.pc


%files
%{_bindir}/clips

%files libs
%{_libdir}/*.so.*
%license readme.txt

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/

%files doc
%doc documentation/*

%changelog
* Wed Jun 29 2022 Till Hofmann <thofmann@fedoraproject.org> 6.31-3
- Add necessary cflags to pkgconfig patch

* Wed Jun 29 2022 Till Hofmann <thofmann@fedoraproject.org> 6.31-2
- Switch to autorelease

* Wed Jun 29 2022 Till Hofmann <thofmann@fedoraproject.org> 6.31-1
- Update to 6.31

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> 6.30.0-30
- Add BuildRequires: make

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Apr 06 2020 Till Hofmann <thofmann@fedoraproject.org> 6.30.0-28
- Allow linking with `-fcommon`

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 6.30.0-24
- Remove obsolete Group tag

* Tue Jan 22 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 6.30.0-23
- Remove obsolete ldconfig scriptlets

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 6.30.0-21
- add BuildRequires: gcc-c++

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 6.30.0-19
- Remove obsolete scriptlets

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-18
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> 6.30.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> 6.30.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> 6.30.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> 6.30.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> 6.30.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> 6.30.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Rahul Sundaram <sundaram@fedoraproject.org> 6.30.0-10
- remove vendor tag from desktop file.
  https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Wed Feb 13 2013 Dennis Gilmore <dennis@ausil.us> 6.30.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Dennis Gilmore <dennis@ausil.us> 6.30.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Dennis Gilmore <dennis@ausil.us> 6.30.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> 6.30.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 19 2010 Dan Horák <dan@danny.cz> 6.30.0-5
- remove xorg-x11-server-Xorg from BRs, it doesn't exist on s390(x) and
  builds fine without it

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 6.30.0-4
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> 6.30.0-3
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Wed Jul 29 2009 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.30.0-2
- *** empty log message ***

* Wed Jul 29 2009 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.30.0-1
- Removing patches and other items that are now in release

* Fri Jul 24 2009 Jesse Keating <jkeating@fedoraproject.org> 6.24-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-13
- *** empty log message ***

* Tue Feb 24 2009 Jesse Keating <jkeating@fedoraproject.org> 6.24-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Jesse Keating <jkeating@fedoraproject.org> 6.24-11
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-10
- *** empty log message ***

* Fri Feb 02 2007 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-9
- *** empty log message ***

* Fri Feb 02 2007 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-8
- Fix Bugzilla Bug 226770: link with ncurses

* Mon Aug 28 2006 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-7
- *** empty log message ***

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> 6.24-6
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Tue Aug 01 2006 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-5
- Removed autoconf config.h

* Tue Jul 11 2006 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-4
- Added FunctionContext patch

* Fri Jul 07 2006 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-3
- *** empty log message ***

* Sat Jul 01 2006 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-2
- Bumped release to fix upgrade path

* Fri Jun 23 2006 Rick L. Vinyard, Jr <rvinyard@fedoraproject.org> 6.24-1
- auto-import clips-6.24-8 on branch devel from clips-6.24-8.src.rpm
